Bug 4983 - squid_ldap_auth alway success
: squid_ldap_auth alway success
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/squid)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-08-12 17:17 by
Modified: 2006-12-17 16:22 (History)


Attachments
Fix typo (432 bytes, patch)
2004-08-12 17:19, Sir Raorn
no flags Details | Diff
Fix ldap auth and OpenLDAP 2.2 build (1.46 KB, patch)
2004-08-13 11:29, Sir Raorn
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-12 17:17:59
squid_ldap_auth retuns OK for any valid user with non-empty password
------- Comment #1 From 2004-08-12 17:19:17 -------
Created an attachment (id=556) [details]
Fix typo
------- Comment #2 From 2004-08-13 09:20:43 -------
My patch was incomplete. squid_ldap_auth SIGABRT's if password is wrong.

http://www.squid-cache.org/bugs/show_bug.cgi?id=1018
------- Comment #3 From 2004-08-13 11:29:56 -------
Created an attachment (id=557) [details]
Fix ldap auth and OpenLDAP 2.2 build
------- Comment #4 From 2004-08-17 13:20:12 -------
(In reply to comment #2)
> My patch was incomplete. squid_ldap_auth SIGABRT's if password is wrong.
> 
> http://www.squid-cache.org/bugs/show_bug.cgi?id=1018
------- Additional Comment #4 From Henrik Nordstrom  2004-07-27 15:27 -------

Applied to 2.5 and LDAP helpers update patch updated.

http://www.squid-cache.org/Versions/v2/2.5/bugs/
2004-08-10 09:40 (Minor) LDAP helpers update
(обновлён)
Я приложил к squid-2.5.STABLE6-alt2.src.rpm
Возможно, возьмут как NMU.
------- Comment #5 From 2005-02-08 16:32:19 -------
давно решено